.warning {
    color: #585757;
    font-weight: 500;
    line-height: 125%;
    font-size: rem(10);
    overflow: hidden;
    position: relative;
    padding: rem(36) rem(46);
    border: 8px solid rgba(241, 240, 237, 0.70);

    &:before {
        content: '';
        top: rem(12);
        left: rem(12);
        right: rem(12);
        bottom: rem(12);
        position: absolute;
        border: 1px solid rgba(241, 240, 237, 0.70);
    }

    &__icon {
        display: none;
    }

    &__title {
        color: #1B1B20;
        font-weight: 600;
        line-height: 135%;
        font-size: rem(20);
        margin-bottom: rem(20);
    }

    &__media {
        top: -4px;
        left: 0;
        width: 100%;
        z-index: 1;
        position: absolute;
    }

    &__content {
        z-index: 10;
        position: relative;

        p {
            margin-bottom: rem(12);

            &:last-child {
                margin-bottom: 0;
            }
        }
    }

    @include media-breakpoint-up(md) {
        display: flex;
        flex-direction: column;
        justify-content: center;
        font-size: rem(16);
        padding: rem(36) rem(40) rem(36) rem(36);

        &:before {
            top: rem(7);
            left: rem(7);
            right: rem(7);
            bottom: rem(7);
        }

        &__wrap {
            display: flex;
            align-items: flex-start;
        }

        &__content {
            flex-grow: 1;
        }

        &__title {
            font-size: rem(22);
        }

        &__icon {
            display: block;
            width: rem(108);
            height: rem(108);
            flex-shrink: 0;
            margin-right: rem(30);
        }

        &__media {
            left: auto;
            right: rem(10);
            width: 448px;
        }
    }

    @include media-breakpoint-up(xl) {
        min-height: rem(300);
        font-size: rem(18);
        padding: rem(48) rem(84) rem(48) rem(78);

        &:before {
            top: rem(10);
            left: rem(10);
            right: rem(10);
            bottom: rem(10);
        }

        &__title {
            font-size: rem(24);
        }

        &__icon {
            margin-right: rem(62);
        }

        &__media {
            right: rem(-8);
            width: 682px;
        }

        &__content {

            p {
                margin-bottom: rem(18);

                &:last-child {
                    margin-bottom: 0;
                }
            }
        }
    }
}
